;; Este  o arquivo ".emacs" do pacote "eev-puro".
;; Verso upstream:  http://angg.twu.net/eev-puro/.emacs.html
;;                           (find-angg "eev-puro/.emacs")
;; Verso local: (find-fline "/usr/share/eev-puro/.emacs")
;; Confira:      (find-fline "/usr/share/eev-puro/")
;;               (find-fline "/usr/share/doc/eev-puro/")
;;                           (find-status   "eev-puro")
;;                           (find-vldifile "eev-puro.list")
;;                           (find-udfile   "eev-puro/")
;;
;; Quando voc roda `M-x puro' este arquivo  executado.
;; Quando voc bate <M-j> o emacs roda: (find-efunction 'eejump)
;;   e visita este arquivo.
;;
;; Quando voc souber o suficiente sobre o Emacs voc pode
;; copiar uma parte deste cdigo pro seu .emacs e adapt-lo.
;; Note que <M-5 M-j> visita o seu .emacs.

;; Autor: Eduardo Ochs <eduardoochs@gmail.com>
;; Verso: 2012apr24



;; Carrega o eev.
;; (find-fline "/etc/emacs/site-start.d/90eev-puro.el")
(eev-activate-initial)
;; (find-status   "eev")
;; (find-vldifile "eev.list")
;; (find-udfile   "eev/")
;; (find-fline "/etc/emacs/site-start.d/90eev.el")

;; Faz com que os acentos apaream direito.
;; Ainda no tenho certeza se isto vai funcionar pra todo mundo...
(standard-display-8bit 160 254)
(eev-set-default-glyphs)
;; (find-fline "/usr/share/emacs/site-lisp/eev/eev-glyphs.el")

;; Carrega a verso nova do eepitch.
;; (load       "/usr/share/eev-puro/eepitch.el")
;; (find-fline "/usr/share/eev-puro/eepitch.el")
;; (find-fline "/usr/share/eev-puro/eepitch.readme")
;; Abril 2012: o eev j vem com a verso atual do eepitch.




;;;             _                       
;;;   ___  ___ (_)_   _ _ __ ___  _ __  
;;;  / _ \/ _ \| | | | | '_ ` _ \| '_ \ 
;;; |  __/  __/| | |_| | | | | | | |_) |
;;;  \___|\___|/ |\__,_|_| |_| |_| .__/ 
;;;          |__/                |_|    
;;
;; Baseado em:
;; http://angg.twu.net/emacs.html#eejump
;;           (find-TH "emacs"    "eejump")
;; Exemplos:
;;   M-j     vai pra definio desta funo
;;           (pra voc lembrar o que cada nmero quer dizer)
;;   M-2j    abre o arquivo HELP
;;   M-11j   usa a fonte 6x13 (boa pra programar)
;;   M-10j   usa a fonte 5x7  (bem pequena - cuidado!)
;;
(define-key eev-mode-map "\M-j" 'eejump)
(defun eejump (arg) (interactive "P")
  (cond ((eq arg 1)  (find-fline "~/NOTAS"))
        ((eq arg 2)  (find-fline "/usr/share/eev-puro/HELP"))
        ((eq arg 22) (find-fline                   "~/HELP"))
        ((eq arg 5)  (find-fline "~/.emacs"))
	;; Lua:
        ((eq arg 4)  (find-fline "/usr/share/eev-puro/mini-lua-intro.e"))
        ((eq arg 46) (find-fline "/usr/share/eev-puro/gab.lua"))
        ((eq arg 47) (find-fline "/usr/share/eev-puro/gab-tests.lua"))
	;; Dirs with interesting things:
        ((eq arg 44) (find-fline "/usr/share/eev-puro/"))
        ((eq arg 55) (find-fline "/usr/share/emacs/site-lisp/eev/"))
	;; IRC:
        ((eq arg 66) (eepitch-freenode))
        ((eq arg 6)  (find-ebuffer "#eev@irc.freenode.net"))
	;;
        ((eq arg 19) (find-fline "~/.psne.log"))
        ((eq arg 10) (set-frame-font "5x7"  t))
        ((eq arg 11) (set-frame-font "6x13" t))
	;;
        (t (find-efunction 'eejump))))


(define-key eev-mode-map [f11] 'hippie-expand)

;; O `other-window' normalmente fica s no `C-x o'...
;; (find-efunctiondescr 'define-key)
(define-key eev-mode-map "\M-o" 'other-window)




;;;  ____  ____  _____ 
;;; |  _ \|  _ \|  ___|
;;; | |_) | | | | |_   
;;; |  __/| |_| |  _|  
;;; |_|   |____/|_|    
;;;                    
;; O xpdf do Ubuntu  muito bugado -
;; no Ubuntu  melhor usar evince, no Debian o xpdf.
;; Copie a definio que voc quer que valha pro final do seu .emacs.
;; (find-eev "eev.el" "ee-xpdfpage")
;; (find-fline "~/.emacs")
'(

(defun ee-xpdfpage (fname &optional page xpdfargs)
  `("evince" ,@xpdfargs ,fname ,(format "--page-label=%s" (or page 1))))

(defun ee-xpdfpage (fname &optional page xpdfargs)
  `("xpdf" ,@xpdfargs ,fname ,(format "%s" (or page 1))))

)
;; http://bcclivros.co.cc/livros/
;; (find-fline "~/Downloads/")
(code-xpdf      "kopkadaly" "~/Downloads/kopka_daly__a_guide_to_latex_4th_ed.pdf")
(code-pdftotext "kopkadaly" "~/Downloads/kopka_daly__a_guide_to_latex_4th_ed.pdf")
;; (find-kopkadalypage   1)
;; (find-kopkadalypage  20)
;; (find-kopkadalypage 607)



;;;   __ _           _                         _   
;;;  / _(_)_ __   __| |    __      ____ _  ___| |_ 
;;; | |_| | '_ \ / _` |____\ \ /\ / / _` |/ _ \ __|
;;; |  _| | | | | (_| |_____\ V  V / (_| |  __/ |_ 
;;; |_| |_|_| |_|\__,_|      \_/\_/ \__, |\___|\__|
;;;                                 |___/          
;;
(defun find-wget00 (url)
  (find-callprocess00 `("wget" "-q" "-O" "-" ,url)))
(defun find-wget (url &rest rest)
  (setq url (ee-expand url))
  (apply 'find-eoutput-reuse (format "*wget: %s*" url)
	 `(insert (find-wget00 ,url))
	 rest))
(eeurl-define-from :url->action: 'find-wget
		   :remote:      'brwget)



;;;           _          
;;;  _ __ ___(_)_ __ ___ 
;;; | '__/ __| | '__/ __|
;;; | | | (__| | | | (__ 
;;; |_|  \___|_|_|  \___|
;;;                      
;; Settings pro Rcirc.
;; (find-node "(rcirc)Top")
;; (find-efile "net/rcirc.el")
;; (rcirc-track-minor-mode 1)
;; (find-efunction 'rcirc)
;; (make-face       'rcirc-nick-in-message-full-line)
;; (set-face-bold-p 'rcirc-nick-in-message-full-line nil)
;; (setq rcirc-show-maximum-output nil)
;;
(require 'rcirc)
(setq rcirc-read-only-flag nil)
(setq                      rcirc-prompt "(%n) ")
(set-face-foreground      'rcirc-prompt "sienna")
(make-face                'rcirc-mode-line-nick)
(set-face-bold-p          'rcirc-mode-line-nick nil)
(set-face-foreground      'rcirc-mode-line-nick "sienna")
(make-face                'rcirc-track-nick)
(set-face-inverse-video-p 'rcirc-track-nick nil)
(set-face-foreground      'rcirc-track-nick "sienna")
;;
;; (find-rcircnode "Channels")
(rcirc-track-minor-mode 1)
;; (global-set-key [f2]   'rcirc-next-active-buffer)
(define-key rcirc-track-minor-mode-map [f2] 'rcirc-next-active-buffer)



;; Teste:
;; (eepitch-freenode)
;; (eepitch '(find-ebuffer "#eev@irc.freenode.net"))





;;;              _ _              _ 
;;; __      ____| (_)_ __ ___  __| |
;;; \ \ /\ / / _` | | '__/ _ \/ _` |
;;;  \ V  V / (_| | | | |  __/ (_| |
;;;   \_/\_/ \__,_|_|_|  \___|\__,_|
;;;                                 
;; (find-efile "wdired.el")
;; (find-evardescr 'dired-load-hook)
(autoload 'wdired-change-to-wdired-mode "wdired")
(add-hook 'dired-load-hook
          '(lambda ()
             (define-key dired-mode-map "r" 'wdired-change-to-wdired-mode)
             (define-key dired-mode-map
               [menu-bar immediate wdired-change-to-wdired-mode]
               '("Edit File Names" . wdired-change-to-wdired-mode))))


(code-c-d "lua51manual" "/usr/share/doc/lua5.1-doc/doc/manual.html")
(code-c-d "luamanual"   "/usr/share/doc/lua5.1-doc/doc/manual.html")

(code-c-d "lua51" "~/usrc/lua-5.1.4/")

(defun eepitch-gdb-lua () (interactive)
  (eepitch-comint-de "gdb lua" `("gdb" ,(ee-lua51file "bin/lua"))))



;; 2012apr24:
;;
;; (find-angg ".emacs" "lua-mode")
(setq lua-indent-level 2)
(setq lua-electric-flag nil)
(defun lua-abbrev-mode-off () (abbrev-mode 0))
(add-hook 'lua-mode-hook 'lua-abbrev-mode-off)
(setq save-abbrevs nil)

;; (find-angg ".emacs" "w3m-el")
(setq w3-reuse-buffers 'yes)
(setq w3m-key-binding 'info)
(setq w3m-async-exec nil)

;; (find-status   "eev-lua-extras")
;; (find-vldifile "eev-lua-extras.list")
;; (find-udfile   "eev-lua-extras/")
(code-c-d "pil" "/usr/share/doc/eev-lua-extras/pil/")
;; (find-pilw3m "index.html")

;; (find-fline "/usr/share/eev-puro/gab.lua")
;; (find-fline "/usr/share/eev-puro/gab-tests.lua")
;;
(defun eepitch-gab () (interactive)
  (eepitch-comint-at "/usr/share/eev-puro/" "gab.lua" "lua5.1 -l gab"))






;;
;; Local Variables:
;; coding:               raw-text-unix
;; ee-anchor-format:     "%s"
;; End:
